Grsecurity

Aspaldi Dabo Segurtasun neurri asko ezartzen diren nukleoari buruz ari naiz.

Zer da grsecurity?

Grsecurity® a segurtasun Linux kernelaren hobekuntza integrala da, segurtasun mehatxuak sorta zabal baten aurka defendatzen adimentsua sarbide-kontrol bidez, memoriaren gainezka eta beste hainbat arazo ekiditen ditu sistemak sendoagoa izanik, orokorrean ez baitu konfiguraziorik eskatzen. Azkenean aktiboki garatu eta mantendu da 15 urte.

Nola instalatzen dut?

Debian bere bertsio ezegonkorrean dagoeneko gordelekotasuna dauka bere biltegietan, espero da hurrengo bertsio egonkorrean etorriko dela, Ubuntu edo Linux Mint bezalako Debian eratorritako banaketek ostatatuko dute gero.

Hurrengo eskuliburuan debian-en nola instalatu erakutsiko dizuet.

Gogora ezazu aplikazio eta sistemetan koloreek zer esan nahi duten hasi aurretik

Komando lerroan idatzitako testuak: blue
komando irteera: Verde
Fitxategi-izenak eta fitxategi edukia: marroiak

Lehenik eta behin debian jessie instalatzen dut netinstalazio iruditik

Behin instalatuta dagoenean, fitxategia aldatzen dut /etc / apt / sources.list eta behean bezala uzten dut:

deb http://ftp.es.debian.org/debian/ sid main
deb-src http://ftp.es.debian.org/debian/ sid main

Gainerako lerroak komentatzen ditut eta Jessie sid-era aldatzen dut banaketa eguneratzeko.

Banaketa eguneratzen dut hurrengo komandoak root gisa exekutatuz:

apt-get eguneratzea
apt-get dist-berritzea
apt-get autoremove
berrabiarazi

Instalo Grsecurity, nukleoaren bertsioa aldatu egin daiteke exekutatzen dudana

apt-cache bilaketa grsecurity
.......
linux-irudia-4.4.0-1-grsec-amd64 - Linux 4.4 64 biteko ordenagailuetarako, Segurtasunerako babesa
.......

Honekin, badakit zein den nire kasuan behar dudan bertsioa 4.4.0-1

Instalamos grsecurity, ordezkatu bertsioa zurearekin.

apt-get install linux-grsec-base linux-grsec-source-4.4 linux-grsec-support-4.4.0-1 linux-headers-4.4.0-1-common-grsec linux-headers-4.4.0-1- grsec-amd64 linux-image-4.4.0-1-grsec-amd64

Berrabiarazi eta gero exekutatzen dugun grsecurity funtzionatzen duen egiaztatzeko:

desegin -a
Linux aplikazioak eta sistemak 4.4.0-1-grsec-amd64 #1 SMP Debian 4.4.6-1 + grsec201603171922 + 1 (2016-03-19 x86_64 GNU / Linux

Espero dut erabilgarria izatea eta eskerrik asko gure bloga irakurtzeagatik.


Buruz Ignacio Alba Obaya

Mikroordenagailu Teknikoa eta Entrenatzaile enplegurako. Teknologia berrien maitalea. Kudeatzaile GNU / Linux eta Windows.

Utzi erantzuna

Zure helbide elektronikoa ez da argitaratuko.